While this HTTP API is available for direct use, we strongly recommend using one of our official SDKs for your programming language whenever possible. SDKs offer better performance, automatic error handling, and type safety. They also provide a more idiomatic integration with your codebase. Only use this HTTP API directly if there isn’t an SDK available for your language or if you have a specific use case that requires direct API access.
Before you can start calling the server APIs, you need to take care of the following steps:
An account will let you use the Statsig Console, where you can manage all of your Feature Gates, Dynamic Configs, and Experiments. Note that you will also be able to invite others to collaborate on your Statsig Projects, so they can interact with your gates and configs.
An API key is required in every API request. There are two types of API keys you can use with the HTTP API:
Server-side secret Key: Used only from secure servers and should never be exposed in client-side code.
Client-SDK Key: Safe to embed in mobile apps and front-end web apps.
Tip: If you’re working with server-side logic or sensitive data, use the Server-side secret Key. If you’re in doubt or working with public-facing code, use the Client-SDK Key.
Step 3 - Issue API requests
Our API is built on top of HTTPS, and you can authenticate via the statsig-api-key header. All API requests use the POST method, and parameters are set by passing a JSON object in the request body.
Why POST? Even for fetching data, we use POST to ensure secure and flexible transmission of user-specific data (e.g., configurations or experiment results).
Statsig automatically logs exposure events whenever you call the APIs. These exposure events help attribute downstream events to experiments or feature gates, which are used to calculate metrics like analytics lift.
NOTE:STATSIG-CLIENT-TIME is required to normalize the timestamp for events against server time. Without it, you may see inconsistent timestamps for client SDKs with varying client clocks. Here’s an example from one of our SDKs.
Event Schema
// json{ events: [StatsigEvent];}// StatsigEvent - object{ eventName: string; value: number | string; time: string; // unix timestamp user: StatsigUser; metadata: Record<string, string>;}// StatsigUser - object{ userID: string; // Required email?: string; // Optional user email ip?: string; // Optional user IP address userAgent?: string; // Optional user agent string for device info country?: string; // Optional country code for location-based targeting locale?: string; // Optional language/locale info appVersion?: string; // Optional app version custom?: Record<string, string | number | boolean | Array<string> | undefined>; // Optional custom user attributes privateAttributes?: Record<string, string | number | boolean | Array<string> | undefined>; // Optional private user attributes customIDs?: Record<string, string>; // Optional custom identifiers statsigEnvironment?: { tier: string }; // Defines the environment (dev, staging, production)};
Response:
{"success": true}, status 202
Log an Event with Custom Environment
Useful when you operate in multiple environments like dev, staging, and production.
Getting an experiment config is similar to fetching a dynamic configuration. The system will automatically log the right exposure based on the name of the config.
You can log one or more exposure events with this API. Exposure events help Statsig track what users are exposed to during experiments or feature gate interactions, helping calculate downstream effects and performance.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Statsig","colors":{"primary":"#b2f0c3","light":"#b2f0c3","dark":"#1B2528"},"logo":{"light":"https://mintlify-assets.b-cdn.net/light-1.png","dark":"https://mintlify-assets.b-cdn.net/dark-1.png"},"favicon":"/favicon.png","background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/statsig-preview/right_group.svg","decoration":"gradient"},"navbar":{"links":[{"label":"Sign In","href":"https://console.statsig.com/?referrer=https%3A%2F%2Fwww.statsig.com%2F\u0026_ga=GA1.1.2094447295.1726657545\u0026_gl=1*1jv8q1j*_gcl_au*MzMyODg1Njk2LjE3MjY2NTc1NDU.*_ga*MjA5NDQ0NzI5NS4xNzI2NjU3NTQ1*_ga_EM5RHE1RHW*MTcyNjY1NzU0NS4xLjEuMTcyNjY1OTQwOS4wLjAuMA.."}],"primary":{"type":"button","label":"Book a Live Demo","href":"https://www.statsig.com/contact/demo"}},"footer":{"socials":{"facebook":"https://facebook.com/statsig","x":"https://twitter.com/statsig","instagram":"https://instagram.com/statsig_hq/","linkedin":"https://linkedin.com/company/statsig","github":"https://github.com/statsig-io/"}},"fonts":{"heading":{"family":"Poppins"},"body":{"family":"Poppins"}},"navigation":{"global":{"anchors":[{"anchor":"Integrations","icon":"webhook","href":"https://www.statsig.com/integrations"},{"anchor":"FAQs","icon":"person-circle-question","href":"https://www.statsig.com/faq"},{"anchor":"Blog","icon":"newspaper","href":"https://www.statsig.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"statsig-preview","hasAudioNarration":false,"actualSubdomain":"statsig-preview","customDomains":[],"gitSource":{"type":"github","owner":"mintlify-onboarding","repo":"statsig","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae92095ff2c658dad6b9f62:success","clientVersion":"0.0.4160","searchFilterCounts":[{"language":"default","tag":"API Reference","count":185},{"language":"default","tag":"Gates","count":24},{"language":"default","tag":"Experiments","count":20},{"language":"default","tag":"Dynamic Configs","count":18},{"language":"default","tag":"Experiments (Warehouse Native)","count":13},{"language":"default","tag":"Ingestions","count":13},{"language":"default","tag":"Layers","count":11},{"language":"default","tag":"Metrics","count":11},{"language":"default","tag":"Holdouts","count":10},{"language":"default","tag":"Segments","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/http","slug":"/api-reference/http","pageMetadata":{"title":"HTTP API","description":null,"href":"/api-reference/http"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,blockquote:`blockquote`,code:`code`,hr:`hr`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Info,Note,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsx(_components.p,{children:`While this HTTP API is available for direct use, we strongly recommend using one of our official SDKs for your programming language whenever possible. SDKs offer better performance, automatic error handling, and type safety. They also provide a more idiomatic integration with your codebase. Only use this HTTP API directly if there isn’t an SDK available for your language or if you have a specific use case that requires direct API access.`})}),`\n`,_jsx(_components.p,{children:`Before you can start calling the server APIs, you need to take care of the following steps:`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`#step-1-create-a-free-account-on-statsig-sign-up-page`,children:`Create a free account on statsig.com`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`#step-2-get-an-api-key-from-the-statsig-console`,children:`Get an API key from the admin console`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`#step-3-issue-api-requests`,children:`Issue API requests`})}),`\n`]}),`\n`,_jsxs(Heading,{level:`2`,id:`step-1-create-a-free-account-on-statsig-sign-up-page`,children:[`Step 1 - Create a free account on `,_jsx(_components.a,{href:`https://console.statsig.com/sign_up`,children:`Statsig sign up page`})]}),`\n`,_jsxs(_components.p,{children:[`An account will let you use the Statsig Console, where you can manage all of your `,_jsx(_components.strong,{children:`Feature Gates`}),`, `,_jsx(_components.strong,{children:`Dynamic Configs`}),`, and `,_jsx(_components.strong,{children:`Experiments`}),`. Note that you will also be able to invite others to collaborate on your Statsig Projects, so they can interact with your gates and configs.`]}),`\n`,_jsxs(Heading,{level:`2`,id:`step-2-get-an-api-key-from-the-statsig-console`,children:[`Step 2 - Get an API key from the `,_jsx(_components.a,{href:`https://console.statsig.com/`,children:`Statsig Console`})]}),`\n`,_jsx(_components.p,{children:`An API key is required in every API request. There are two types of API keys you can use with the HTTP API:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Server-side secret Key`}),`: Used only from secure servers and should never be exposed in client-side code.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Client-SDK Key`}),`: Safe to embed in mobile apps and front-end web apps.`]}),`\n`]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`Tip: If you’re working with server-side logic or sensitive data, use the Server-side secret Key. If you’re in doubt or working with public-facing code, use the Client-SDK Key.`})}),`\n`,_jsx(Heading,{level:`2`,id:`step-3-issue-api-requests`,children:`Step 3 - Issue API requests`}),`\n`,_jsxs(_components.p,{children:[`Our API is built on top of HTTPS, and you can authenticate via the `,_jsx(_components.code,{children:`statsig-api-key`}),` header. All API requests use the `,_jsx(_components.code,{children:`POST`}),` method, and parameters are set by passing a JSON object in the request body.`]}),`\n`,_jsx(Info,{children:_jsxs(_components.p,{children:[_jsxs(_components.strong,{children:[`Why `,_jsx(_components.code,{children:`POST`}),`?`]}),` Even for fetching data, we use `,_jsx(_components.code,{children:`POST`}),` to ensure secure and flexible transmission of user-specific data (e.g., configurations or experiment results).`]})}),`\n`,_jsxs(_components.p,{children:[`Statsig automatically logs `,_jsx(_components.strong,{children:`exposure events`}),` whenever you call the APIs. These exposure events help attribute downstream events to experiments or feature gates, which are used to calculate metrics like analytics lift.`]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`log-an-event`,children:`Log an Event`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"STATSIG-CLIENT-TIME: \u003clocal_time>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"events\": [{\"user\": { \"userID\": \"42\" }, \"time\": 1616826986211, \"eventName\": \"test_api_event\"}]}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://events.statsigapi.net/v1/log_event\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsxs(_components.blockquote,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`NOTE:`}),` `,_jsx(_components.code,{children:`STATSIG-CLIENT-TIME`}),` is required to normalize the timestamp for events against server time. Without it, you may see inconsistent timestamps for client SDKs with varying client clocks. Here’s `,_jsx(_components.a,{href:`https://github.com/statsig-io/cpp-client-sdk/blob/a62df973388a56669de2a05f0630a65570a775bd/src/statsig/internal/network_service.hpp#L148`,children:`an example`}),` from one of our SDKs.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`event-schema`,children:`Event Schema`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`29`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`29`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`// json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` events: [StatsigEvent];`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`// StatsigEvent - object`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` eventName: string;`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` value: number | string;`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` time: string; // unix timestamp`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` user: StatsigUser;`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` metadata: Record\u003cstring, string>;`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`// StatsigUser - object`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` userID: string; // Required`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` email?: string; // Optional user email`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ip?: string; // Optional user IP address`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` userAgent?: string; // Optional user agent string for device info`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` country?: string; // Optional country code for location-based targeting`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` locale?: string; // Optional language/locale info`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` appVersion?: string; // Optional app version`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` custom?: Record\u003cstring, string | number | boolean | Array\u003cstring> | undefined>; // Optional custom user attributes`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` privateAttributes?: Record\u003cstring, string | number | boolean | Array\u003cstring> | undefined>; // Optional private user attributes`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` customIDs?: Record\u003cstring, string>; // Optional custom identifiers`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` statsigEnvironment?: { tier: string }; // Defines the environment (dev, staging, production)`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`};`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{\"success\": true}, status 202`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`log-an-event-with-custom-environment`,children:`Log an Event with Custom Environment`}),`\n`,_jsx(_components.p,{children:`Useful when you operate in multiple environments like dev, staging, and production.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"STATSIG-CLIENT-TIME: \u003clocal_time>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"events\": [{\"user\": { \"userID\": \"42\", \"statsigEnvironment\": {\"tier\": \"staging\"} }, \"time\": 1616826986211, \"eventName\": \"test_api_event\"}]}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://events.statsigapi.net/v1/log_event\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{\"success\": true}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`check-a-feature-gate`,children:`Check a Feature Gate`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"user\": { \"userID\": \"42\" }, \"gateName\": \"\u003cYOUR-GATE-NAME>\"}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://api.statsig.com/v1/check_gate\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`check-multiple-feature-gates`,children:`Check Multiple Feature Gates`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"user\": { \"userID\": \"42\" }, \"gateNames\": [\"\u003cYOUR-GATE-NAME-1>\", \"\u003cYOUR-GATE-NAME-2>\"]}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://api.statsig.com/v1/check_gate\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`[`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {\"name\":\"YOUR-GATE-NAME-1\",\"value\":false,\"rule_id\":\"123\",\"group_name\":\"group123\"},`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {\"name\":\"YOUR-GATE-NAME-2\",\"value\":false,\"rule_id\":\"123\",\"group_name\":\"group123\"}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`get-a-dynamic-config-value`,children:`Get a Dynamic Config Value`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"user\": { \"userID\": \"42\" }, \"configName\":\"\u003cYOUR-CONFIG-NAME>\"}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://api.statsig.com/v1/get_config\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{\"name\":\"YOUR-CONFIG-NAME\",\"value\":{\"a\":1,\"b\":2},\"group\":\"123\",\"rule_id\":\"123\",\"group_name\":\"group123\"}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`fetch-experiment-config`,children:`Fetch Experiment Config`}),`\n`,_jsx(_components.p,{children:`Getting an experiment config is similar to fetching a dynamic configuration. The system will automatically log the right exposure based on the name of the config.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"user\": { \"userID\": \"42\" }, \"configName\":\"\u003cYOUR-EXPERIMENT-NAME>\"}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://api.statsig.com/v1/get_config\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{\"name\":\"YOUR-EXPERIMENT-NAME\",\"value\":{\"color\":\"blue\",\"shape\":\"circle\"},\"group\":\"123\",\"rule_id\":\"123\",\"group_name\":\"group123\"}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`fetch-layer-value`,children:`Fetch Layer Value`}),`\n`,_jsx(_components.p,{children:`The system will automatically log the right exposure based on the name of the config.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"user\": { \"userID\": \"42\" }, \"layerName\":\"\u003cYOUR-LAYER-NAME>\"}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://statsigapi.net/v1/get_layer\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.p,{children:`Response:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{\"name\":\"YOUR-LAYER-NAME\",\"value\":{\"color\":\"blue\",\"shape\":\"circle\"},\"ruleID\":\"2OZdhuDfq3w1UIHovUFRBM\", \"allocatedExperimentName\": \"a_experiment\"}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`log-an-exposure-event`,children:`Log an Exposure Event`}),`\n`,_jsx(_components.p,{children:`You can log one or more exposure events with this API. Exposure events help Statsig track what users are exposed to during experiments or feature gate interactions, helping calculate downstream effects and performance.`}),`\n`,_jsx(Heading,{level:`4`,id:`log-experiment-exposure`,children:`Log Experiment Exposure`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"exposures\": [{\"user\": {\"userID\": \"user_id_12345\"}, \"experimentName\": \"analytics_only_experiment\", \"group\": \"Daily Deals\"}]}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://events.statsigapi.net/v1/log_custom_exposure\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`4`,id:`log-feature-gate-exposure`,children:`Log Feature Gate Exposure`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{\"exposures\": [{\"user\": {\"userID\": \"user_id_12345\"}, \"gateName\": \"saleBanner\", \"group\": \"Controls Access\", \"passes\": true}]}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://events.statsigapi.net/v1/log_custom_exposure\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`log-secondary-exposures`,children:`Log Secondary Exposures`}),`\n`,_jsx(_components.p,{children:`Secondary exposures are logged alongside other exposure events. They typically represent holdouts or targeting gates.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`27`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`27`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"statsig-api-key: \u003cYOUR-SDK-KEY>\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --request POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --data '{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"exposures\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"user\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"userID\": \"user_id_12345\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"gateName\": \"saleBanner\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"group\": \"Controls Access\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"passes\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"secondaryExposures\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"gate\": \"test_holdout\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"gateValue\": \"true\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"ruleID\": \"3CQWjvi4HXcHsGIuuffKoe:10.00:2\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"https://events.statsigapi.net/v1/log_custom_exposure\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"HTTP API","description":null,"href":"/api-reference/http"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Step 1 - Create a free account on Statsig sign up page","slug":"step-1-create-a-free-account-on-statsig-sign-up-page","depth":2,"children":[]},{"title":"Step 2 - Get an API key from the Statsig Console","slug":"step-2-get-an-api-key-from-the-statsig-console","depth":2,"children":[]},{"title":"Step 3 - Issue API requests","slug":"step-3-issue-api-requests","depth":2,"children":[{"title":"Log an Event","slug":"log-an-event","depth":3,"children":[]},{"title":"Event Schema","slug":"event-schema","depth":4,"children":[]},{"title":"Log an Event with Custom Environment","slug":"log-an-event-with-custom-environment","depth":3,"children":[]},{"title":"Check a Feature Gate","slug":"check-a-feature-gate","depth":3,"children":[]},{"title":"Check Multiple Feature Gates","slug":"check-multiple-feature-gates","depth":3,"children":[]},{"title":"Get a Dynamic Config Value","slug":"get-a-dynamic-config-value","depth":3,"children":[]},{"title":"Fetch Experiment Config","slug":"fetch-experiment-config","depth":3,"children":[]},{"title":"Fetch Layer Value","slug":"fetch-layer-value","depth":3,"children":[]},{"title":"Log an Exposure Event","slug":"log-an-exposure-event","depth":3,"children":[]},{"title":"Log Experiment Exposure","slug":"log-experiment-exposure","depth":4,"children":[]},{"title":"Log Feature Gate Exposure","slug":"log-feature-gate-exposure","depth":4,"children":[]},{"title":"Log Secondary Exposures","slug":"log-secondary-exposures","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":[],"subdomain":"statsig-preview","siteName":"Statsig","title":"HTTP API - Statsig","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T02:43:56.121Z","originalFileLocation":"api-reference/http.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Statsig\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"HTTP API - Statsig\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Statsig\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://statsig-preview.mintlify.app/api-reference/http\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://statsig-preview.mintlify.site/_mintlify/api/og/v2?division=HTTP+API\u0026amp;title=HTTP+API\u0026amp;theme=eb9a74c1dfc5c651f7524ed1\u0026amp;signature=fe346bb70288c3675cc1d7307894911d9827154b0890d9f7fedbfb9453e32854\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"HTTP API - Statsig\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://statsig-preview.mintlify.site/_mintlify/api/og/v2?division=HTTP+API\u0026amp;title=HTTP+API\u0026amp;theme=eb9a74c1dfc5c651f7524ed1\u0026amp;signature=fe346bb70288c3675cc1d7307894911d9827154b0890d9f7fedbfb9453e32854\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/statsig-preview/c5_goZefCqYNBLIG/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Statsig\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#b2f0c3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://statsig-preview.mintlify.app/api-reference/http\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/http.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://statsig-preview.mintlify.app/#organization\",\"name\":\"Statsig\",\"url\":\"https://statsig-preview.mintlify.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify-assets.b-cdn.net/light-1.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://statsig-preview.mintlify.app#website\",\"name\":\"Statsig\",\"url\":\"https://statsig-preview.mintlify.app\",\"publisher\":{\"@id\":\"https://statsig-preview.mintlify.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://statsig-preview.mintlify.app/api-reference/http#webpage\",\"url\":\"https://statsig-preview.mintlify.app/api-reference/http\",\"name\":\"HTTP API\",\"dateModified\":\"2026-01-07T02:43:56.121Z\",\"isPartOf\":{\"@id\":\"https://statsig-preview.mintlify.app#website\"},\"breadcrumb\":{\"@id\":\"https://statsig-preview.mintlify.app/api-reference/http#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://statsig-preview.mintlify.app/api-reference/http#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Statsig\",\"item\":\"https://statsig-preview.mintlify.app\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"HTTP API\",\"item\":\"https://statsig-preview.mintlify.app/api-reference/http\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://statsig-preview.mintlify.app/api-reference/http#article\",\"headline\":\"HTTP API\",\"name\":\"HTTP API\",\"url\":\"https://statsig-preview.mintlify.app/api-reference/http\",\"mainEntityOfPage\":{\"@id\":\"https://statsig-preview.mintlify.app/api-reference/http#webpage\"},\"dateModified\":\"2026-01-07T02:43:56.121Z\",\"publisher\":{\"@id\":\"https://statsig-preview.mintlify.app/#organization\"},\"isPartOf\":{\"@id\":\"https://statsig-preview.mintlify.app#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/http.md","siteName":"Statsig","nav":{"global":{"anchors":[{"anchor":"Integrations","icon":"webhook","href":"https://www.statsig.com/integrations"},{"anchor":"FAQs","icon":"person-circle-question","href":"https://www.statsig.com/faq"},{"anchor":"Blog","icon":"newspaper","href":"https://www.statsig.com/blog"}]},"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/getting-started"}]},{"tab":"Products","pages":[{"title":"Products","href":"/session-replay/overview"}]},{"tab":"API Reference","groups":[{"group":"HTTP API","pages":[{"title":"HTTP API","href":"/api-reference/http"}]},{"group":"Console API","pages":[{"title":"Console API Overview","description":null,"href":"/api-reference/introduction"}]},{"group":"Alerts","pages":[{"title":"List Alerts","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/alerts","href":"/api-reference/alerts/list-alerts"}]},{"group":"Audit Logs","pages":[{"title":"List Audit Logs","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/audit_logs","href":"/api-reference/audit-logs/list-audit-logs"}]},{"group":"Autotunes","pages":[{"title":"List Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/autotunes","href":"/api-reference/autotunes/list-autotune"},{"title":"Create Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/autotunes","href":"/api-reference/autotunes/create-autotune"},{"title":"Read Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/autotunes/{id}","href":"/api-reference/autotunes/read-autotune"},{"title":"Fully Update Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/autotunes/{id}","href":"/api-reference/autotunes/fully-update-autotune"},{"title":"Delete Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/autotunes/{id}","href":"/api-reference/autotunes/delete-autotune"},{"title":"Partially Update Autotune","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/autotunes/{id}","href":"/api-reference/autotunes/partially-update-autotune"},{"title":"Finish Experiment Early","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/autotunes/{id}/make_decision","href":"/api-reference/autotunes/finish-experiment-early"},{"title":"Reset Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/autotunes/{id}/reset","href":"/api-reference/autotunes/reset-experiment"},{"title":"Start Autotune Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/autotunes/{id}/start","href":"/api-reference/autotunes/start-autotune-experiment"}]},{"group":"Company","pages":[{"title":"Get Company Info","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/company","href":"/api-reference/company/get-company-info"}]},{"group":"Dynamic Configs","pages":[{"title":"List Dynamic Configs","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/dynamic_configs","href":"/api-reference/dynamic-configs/list-dynamic-configs"},{"title":"Create Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/dynamic_configs","href":"/api-reference/dynamic-configs/create-dynamic-config"},{"title":"Get Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/dynamic_configs/{id}","href":"/api-reference/dynamic-configs/get-dynamic-config"},{"title":"Fully Update Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/dynamic_configs/{id}","href":"/api-reference/dynamic-configs/fully-update-dynamic-config"},{"title":"Delete Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/dynamic_configs/{id}","href":"/api-reference/dynamic-configs/delete-dynamic-config"},{"title":"Partially Update Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/dynamic_configs/{id}","href":"/api-reference/dynamic-configs/partially-update-dynamic-config"},{"title":"Disable Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/dynamic_configs/{id}/disable","href":"/api-reference/dynamic-configs/disable-dynamic-config"},{"title":"Enable Dynamic Config","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/dynamic_configs/{id}/enable","href":"/api-reference/dynamic-configs/enable-dynamic-config"},{"title":"Add Dynamic Config Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/dynamic_configs/{id}/rule","href":"/api-reference/dynamic-configs/add-dynamic-config-rule"},{"title":"Get Specific Dynamic Config Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/dynamic_configs/{id}/rule/{ruleId}","href":"/api-reference/dynamic-configs/get-specific-dynamic-config-rule"},{"title":"Delete Dynamic Config Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/dynamic_configs/{id}/rule/{ruleId}","href":"/api-reference/dynamic-configs/delete-dynamic-config-rule"},{"title":"Update Dynamic Config Rule By Id","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/dynamic_configs/{id}/rule/{ruleId}","href":"/api-reference/dynamic-configs/update-dynamic-config-rule-by-id"},{"title":"Delete Dynamic Config Rule By Name","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/dynamic_configs/{id}/rule/name/{ruleName}","href":"/api-reference/dynamic-configs/delete-dynamic-config-rule-by-name"},{"title":"Update Dynamic Config Rule By Name","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/dynamic_configs/{id}/rule/name/{ruleName}","href":"/api-reference/dynamic-configs/update-dynamic-config-rule-by-name"},{"title":"Get Dynamic Config Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/dynamic_configs/{id}/rules","href":"/api-reference/dynamic-configs/get-dynamic-config-rules"},{"title":"Add Dynamic Config Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/dynamic_configs/{id}/rules","href":"/api-reference/dynamic-configs/add-dynamic-config-rules"},{"title":"Update List of Dynamic Config Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/dynamic_configs/{id}/rules","href":"/api-reference/dynamic-configs/update-list-of-dynamic-config-rules"},{"title":"List Dynamic Config Versions","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/dynamic_configs/{id}/versions","href":"/api-reference/dynamic-configs/list-dynamic-config-versions"}]},{"group":"Events","pages":[{"title":"List Events","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/events","href":"/api-reference/events/list-events"},{"title":"Get specific events","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/events/{eventName}","href":"/api-reference/events/get-specific-events"},{"title":"Get metrics using event name","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/events/{eventName}/metrics","href":"/api-reference/events/get-metrics-using-event-name"}]},{"group":"Experiments","pages":[{"title":"List Experiments","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments","href":"/api-reference/experiments/list-experiments"},{"title":"Create Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments","href":"/api-reference/experiments/create-experiment"},{"title":"Get Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/{id}","href":"/api-reference/experiments/get-experiment"},{"title":"Fully Update Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/{id}","href":"/api-reference/experiments/fully-update-experiment"},{"title":"Deleted Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/experiments/{id}","href":"/api-reference/experiments/deleted-experiment"},{"title":"Partially Update Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/experiments/{id}","href":"/api-reference/experiments/partially-update-experiment"},{"title":"Abandon Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/abandon","href":"/api-reference/experiments/abandon-experiment"},{"title":"Archive Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/archive","href":"/api-reference/experiments/archive-experiment"},{"title":"Retrieve cumulative exposures","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/{id}/cumulative_exposures","href":"/api-reference/experiments/retrieve-cumulative-exposures"},{"title":"Disable Experiment Groups","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/{id}/disable_groups","href":"/api-reference/experiments/disable-experiment-groups"},{"title":"Enable Experiment Groups","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/{id}/enable_groups","href":"/api-reference/experiments/enable-experiment-groups"},{"title":"Finish Experiment Early","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/make_decision","href":"/api-reference/experiments/finish-experiment-early"},{"title":"Get Experiment Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/{id}/overrides","href":"/api-reference/experiments/get-experiment-overrides"},{"title":"Update Experiment Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/{id}/overrides","href":"/api-reference/experiments/update-experiment-overrides"},{"title":"Delete Experiment Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/experiments/{id}/overrides","href":"/api-reference/experiments/delete-experiment-overrides"},{"title":"Partially Update Experiment Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/experiments/{id}/overrides","href":"/api-reference/experiments/partially-update-experiment-overrides"},{"title":"Retrieve Pulse Results (Beta)","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/{id}/pulse_results","href":"/api-reference/experiments/retrieve-pulse-results-beta"},{"title":"Reset Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/reset","href":"/api-reference/experiments/reset-experiment"},{"title":"Start Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/start","href":"/api-reference/experiments/start-experiment"},{"title":"Unarchive Experiment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/experiments/{id}/unarchive","href":"/api-reference/experiments/unarchive-experiment"}]},{"group":"Experiments (Warehouse Native)","pages":[{"title":"Load Pulse (Warehouse Native)","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/{id}/load_pulse","href":"/api-reference/experiments-warehouse-native/load-pulse-warehouse-native"},{"title":"Pulse Load History (Warehouse Native)","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/{id}/pulse_load_history","href":"/api-reference/experiments-warehouse-native/pulse-load-history-warehouse-native"},{"title":"Post Assignment Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/assignment_source/{name}","href":"/api-reference/experiments-warehouse-native/post-assignment-source"},{"title":"Delete Assignment Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/experiments/assignment_source/{name}","href":"/api-reference/experiments-warehouse-native/delete-assignment-source"},{"title":"Patch Assignment Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/experiments/assignment_source/{name}","href":"/api-reference/experiments-warehouse-native/patch-assignment-source"},{"title":"List Assignment Sources","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/assignment_sources","href":"/api-reference/experiments-warehouse-native/list-assignment-sources"},{"title":"Create Assignment Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/assignment_sources","href":"/api-reference/experiments-warehouse-native/create-assignment-source"},{"title":"List Entity Property Sources","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/entity_properties","href":"/api-reference/experiments-warehouse-native/list-entity-property-sources"},{"title":"Create Entity Property Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/entity_properties","href":"/api-reference/experiments-warehouse-native/create-entity-property-source"},{"title":"Get Entity Property Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/experiments/entity_property/{name}","href":"/api-reference/experiments-warehouse-native/get-entity-property-source"},{"title":"Post Entity Property Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/experiments/entity_property/{name}","href":"/api-reference/experiments-warehouse-native/post-entity-property-source"},{"title":"Delete Entity Property Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/experiments/entity_property/{name}","href":"/api-reference/experiments-warehouse-native/delete-entity-property-source"},{"title":"Patch Entity Property Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/experiments/entity_property/{name}","href":"/api-reference/experiments-warehouse-native/patch-entity-property-source"}]},{"group":"Configs","pages":[{"title":"Read Exposure Event Count","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/exposure_count","href":"/api-reference/configs/read-exposure-event-count"}]},{"group":"Gates","pages":[{"title":"List Gates","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates","href":"/api-reference/gates/list-gates"},{"title":"Create Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates","href":"/api-reference/gates/create-gate"},{"title":"Read Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}","href":"/api-reference/gates/read-gate"},{"title":"Fully Update Gates","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates/{id}","href":"/api-reference/gates/fully-update-gates"},{"title":"Delete Gates","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/gates/{id}","href":"/api-reference/gates/delete-gates"},{"title":"Partially Update Gates","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/gates/{id}","href":"/api-reference/gates/partially-update-gates"},{"title":"Archive Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/gates/{id}/archive","href":"/api-reference/gates/archive-gate"},{"title":"Disable Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/gates/{id}/disable","href":"/api-reference/gates/disable-gate"},{"title":"Enable Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/gates/{id}/enable","href":"/api-reference/gates/enable-gate"},{"title":"Launch Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/gates/{id}/launch","href":"/api-reference/gates/launch-gate"},{"title":"Load Pulse Gate","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates/{id}/load_pulse","href":"/api-reference/gates/load-pulse-gate"},{"title":"Get Gate Override","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}/overrides","href":"/api-reference/gates/get-gate-override"},{"title":"Update Gate Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates/{id}/overrides","href":"/api-reference/gates/update-gate-overrides"},{"title":"Delete Gate Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/gates/{id}/overrides","href":"/api-reference/gates/delete-gate-overrides"},{"title":"Add Gate Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/gates/{id}/overrides","href":"/api-reference/gates/add-gate-overrides"},{"title":"Add Gate Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates/{id}/rule","href":"/api-reference/gates/add-gate-rule"},{"title":"Read Gate Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}/rules","href":"/api-reference/gates/read-gate-rules"},{"title":"Add Multiple Gate Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/gates/{id}/rules","href":"/api-reference/gates/add-multiple-gate-rule"},{"title":"Update list of current Gate Rules settings","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/gates/{id}/rules","href":"/api-reference/gates/update-list-of-current-gate-rules-settings"},{"title":"Delete Gate Rule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/gates/{id}/rules/{ruleID}","href":"/api-reference/gates/delete-gate-rule"},{"title":"Update Gate Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/gates/{id}/rules/{ruleID}","href":"/api-reference/gates/update-gate-rules"},{"title":"Pulse Load History (Warehouse Native)","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}/rules/{ruleID}/pulse_load_history","href":"/api-reference/gates/pulse-load-history-warehouse-native"},{"title":"Retrieve Pulse Results (Beta)","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}/rules/{ruleID}/pulse_results","href":"/api-reference/gates/retrieve-pulse-results-beta"},{"title":"List Gate Versions","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/gates/{id}/versions","href":"/api-reference/gates/list-gate-versions"}]},{"group":"Holdouts","pages":[{"title":"List Holdouts","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/holdouts","href":"/api-reference/holdouts/list-holdouts"},{"title":"Create holdout","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/holdouts","href":"/api-reference/holdouts/create-holdout"},{"title":"Get holdout by id","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/holdouts/{id}","href":"/api-reference/holdouts/get-holdout-by-id"},{"title":"Update holdout by id","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/holdouts/{id}","href":"/api-reference/holdouts/update-holdout-by-id"},{"title":"Delete holdout by id","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/holdouts/{id}","href":"/api-reference/holdouts/delete-holdout-by-id"},{"title":"Patch holdout by id. You can pass in only the data you want to update.","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/holdouts/{id}","href":"/api-reference/holdouts/patch-holdout-by-id-you-can-pass-in-only-the-data-you-want-to-update"},{"title":"Read Holdout Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/holdouts/{id}/overrides","href":"/api-reference/holdouts/read-holdout-overrides"},{"title":"Update Holdout Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/holdouts/{id}/overrides","href":"/api-reference/holdouts/update-holdout-overrides"},{"title":"Remove Holdout Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/holdouts/{id}/overrides","href":"/api-reference/holdouts/remove-holdout-overrides"},{"title":"Add Holdout Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/holdouts/{id}/overrides","href":"/api-reference/holdouts/add-holdout-overrides"}]},{"group":"Ingestions","pages":[{"title":"Read Ingestion","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion","href":"/api-reference/ingestions/read-ingestion"},{"title":"Create Ingestion Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/ingestion","href":"/api-reference/ingestions/create-ingestion-source"},{"title":"Delete Ingestion Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/ingestion","href":"/api-reference/ingestions/delete-ingestion-source"},{"title":"Update Ingestion Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/ingestion","href":"/api-reference/ingestions/update-ingestion-source"},{"title":"Backfill Ingestion","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/ingestion/backfill","href":"/api-reference/ingestions/backfill-ingestion"},{"title":"Create Ingestion Databricks","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/ingestion/connection/databricks","href":"/api-reference/ingestions/create-ingestion-databricks"},{"title":"Get Ingestion Event Count","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/events/count","href":"/api-reference/ingestions/get-ingestion-event-count"},{"title":"Get Ingestion Event Delta Ledger","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/events/delta","href":"/api-reference/ingestions/get-ingestion-event-delta-ledger"},{"title":"List Ingestion Runs","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/runs","href":"/api-reference/ingestions/list-ingestion-runs"},{"title":"Read Ingestion Run","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/runs/{id}","href":"/api-reference/ingestions/read-ingestion-run"},{"title":"Read Ingestion Schedule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/schedule","href":"/api-reference/ingestions/read-ingestion-schedule"},{"title":"Update Ingestion Schedule","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/ingestion/schedule","href":"/api-reference/ingestions/update-ingestion-schedule"},{"title":"List Ingestions Status","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/ingestion/status","href":"/api-reference/ingestions/list-ingestions-status"}]},{"group":"Keys","pages":[{"title":"List Keys","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/keys","href":"/api-reference/keys/list-keys"},{"title":"Create Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/keys","href":"/api-reference/keys/create-key"},{"title":"Read Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/keys/{id}","href":"/api-reference/keys/read-key"},{"title":"Delete Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/keys/{id}","href":"/api-reference/keys/delete-key"},{"title":"Update Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/keys/{id}","href":"/api-reference/keys/update-key"},{"title":"Deactivate Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/keys/{id}/deactivate","href":"/api-reference/keys/deactivate-key"},{"title":"Rotate Key","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/keys/{id}/rotate","href":"/api-reference/keys/rotate-key"}]},{"group":"Layers","pages":[{"title":"Get Layers","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/layers","href":"/api-reference/layers/get-layers"},{"title":"Create a Layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/layers","href":"/api-reference/layers/create-a-layer"},{"title":"Get one layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/layers/{id}","href":"/api-reference/layers/get-one-layer"},{"title":"Update a layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/layers/{id}","href":"/api-reference/layers/update-a-layer"},{"title":"Delete a layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/layers/{id}","href":"/api-reference/layers/delete-a-layer"},{"title":"Partially update a layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/layers/{id}","href":"/api-reference/layers/partially-update-a-layer"},{"title":"Lineage: List Experiment related to Layer","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/layers/{id}/experiments","href":"/api-reference/layers/lineage:-list-experiment-related-to-layer"},{"title":"Get Layer Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/layers/{id}/overrides","href":"/api-reference/layers/get-layer-overrides"},{"title":"Update Layer Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/layers/{id}/overrides","href":"/api-reference/layers/update-layer-overrides"},{"title":"Delete Layer Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/layers/{id}/overrides","href":"/api-reference/layers/delete-layer-overrides"},{"title":"Add Layer Overrides","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/layers/{id}/overrides","href":"/api-reference/layers/add-layer-overrides"}]},{"group":"Metrics","pages":[{"title":"Read Single Metric Value","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics","href":"/api-reference/metrics/read-single-metric-value"},{"title":"Create Metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/metrics","href":"/api-reference/metrics/create-metric"},{"title":"Read Metric Definition","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/{id}","href":"/api-reference/metrics/read-metric-definition"},{"title":"Update a metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/metrics/{id}","href":"/api-reference/metrics/update-a-metric"},{"title":"Delete a metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/metrics/{id}","href":"/api-reference/metrics/delete-a-metric"},{"title":"Cancel archive a metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/metrics/{id}/cancel_archive","href":"/api-reference/metrics/cancel-archive-a-metric"},{"title":"Lineage: List experiments related to Metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/{id}/experiments","href":"/api-reference/metrics/lineage:-list-experiments-related-to-metric"},{"title":"Schedule a metric archive","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/metrics/{id}/schedule_archive","href":"/api-reference/metrics/schedule-a-metric-archive"},{"title":"Unarchive a metric","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/metrics/{id}/unarchive","href":"/api-reference/metrics/unarchive-a-metric"},{"title":"List all Metrics","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/list","href":"/api-reference/metrics/list-all-metrics"},{"title":"List All Metric Values","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/values","href":"/api-reference/metrics/list-all-metric-values"}]},{"group":"Metrics (Warehouse Native)","pages":[{"title":"Reload metric data","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/metrics/{id}/reload","href":"/api-reference/metrics-warehouse-native/reload-metric-data"},{"title":"Create Metric Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/metrics/metric_source","href":"/api-reference/metrics-warehouse-native/create-metric-source"},{"title":"Read Metric Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/metric_source/{name}","href":"/api-reference/metrics-warehouse-native/read-metric-source"},{"title":"Update Metric Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/metrics/metric_source/{name}","href":"/api-reference/metrics-warehouse-native/update-metric-source"},{"title":"Delete Metric Source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/metrics/metric_source/{name}","href":"/api-reference/metrics-warehouse-native/delete-metric-source"},{"title":"Read Metric Source Metrics","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/metric_source/{name}/metrics","href":"/api-reference/metrics-warehouse-native/read-metric-source-metrics"},{"title":"List metric source","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/metrics/metric_source/list","href":"/api-reference/metrics-warehouse-native/list-metric-source"}]},{"group":"Project","pages":[{"title":"Get Project Info","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/project","href":"/api-reference/project/get-project-info"}]},{"group":"Usage","pages":[{"title":"Get Report in CSV format","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/project/usage_billing/report","href":"/api-reference/usage/get-report-in-csv-format"}]},{"group":"Reports","pages":[{"title":"Get Reports","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/reports","href":"/api-reference/reports/get-reports"}]},{"group":"Segments","pages":[{"title":"List Segments","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/segments","href":"/api-reference/segments/list-segments"},{"title":"Create Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/segments","href":"/api-reference/segments/create-segment"},{"title":"Get Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/segments/{id}","href":"/api-reference/segments/get-segment"},{"title":"Delete Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/segments/{id}","href":"/api-reference/segments/delete-segment"},{"title":"Archive Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json put /console/v1/segments/{id}/archive","href":"/api-reference/segments/archive-segment"},{"title":"Update Segment Rules","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/segments/{id}/conditional","href":"/api-reference/segments/update-segment-rules"},{"title":"Get IDs in a Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/segments/{id}/id_list","href":"/api-reference/segments/get-ids-in-a-segment"},{"title":"Remove IDs from Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/segments/{id}/id_list","href":"/api-reference/segments/remove-ids-from-segment"},{"title":"Add IDs to Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/segments/{id}/id_list","href":"/api-reference/segments/add-ids-to-segment"},{"title":"Upsert ID List Segment","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/segments/{id}/id_list/reset","href":"/api-reference/segments/upsert-id-list-segment"}]},{"group":"Tags","pages":[{"title":"List Tags","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/tags","href":"/api-reference/tags/list-tags"},{"title":"Create Tag","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/tags","href":"/api-reference/tags/create-tag"},{"title":"Read Tag","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/tags/{id}","href":"/api-reference/tags/read-tag"},{"title":"Delete Tag","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/tags/{id}","href":"/api-reference/tags/delete-tag"},{"title":"Update Tag","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/tags/{id}","href":"/api-reference/tags/update-tag"}]},{"group":"Target App","pages":[{"title":"List Target Apps","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/target_app","href":"/api-reference/target-app/list-target-apps"},{"title":"Create Target App","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/target_app","href":"/api-reference/target-app/create-target-app"},{"title":"Bulk Assign Target Apps","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/target_app","href":"/api-reference/target-app/bulk-assign-target-apps"},{"title":"Read Target App","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/target_app/{id}","href":"/api-reference/target-app/read-target-app"},{"title":"Delete Target App","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/target_app/{id}","href":"/api-reference/target-app/delete-target-app"},{"title":"Update Target App","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/target_app/{id}","href":"/api-reference/target-app/update-target-app"}]},{"group":"Users","pages":[{"title":"List Users","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/users","href":"/api-reference/users/list-users"},{"title":"Get user by email","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/users/{email}","href":"/api-reference/users/get-user-by-email"},{"title":"Update user","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/users/{email}","href":"/api-reference/users/update-user"},{"title":"Invite user. To avoid spamming, invitation emails are not sent. Invitee will see invitation notification in-app after logging in.","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/users/invite","href":"/api-reference/users/invite-user-to-avoid-spamming-invitation-emails-are-not-sent-invitee-will-see-invitation-notification-in-app-after-logging-in"},{"title":"List Teams","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/users/teams","href":"/api-reference/users/list-teams"},{"title":"Create Team","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json post /console/v1/users/teams","href":"/api-reference/users/create-team"},{"title":"Get Team","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json get /console/v1/users/teams/{id}","href":"/api-reference/users/get-team"},{"title":"Delete Team","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json delete /console/v1/users/teams/{id}","href":"/api-reference/users/delete-team"},{"title":"Update Team. Ops: Replace. Use GET for current data if you intent to Add.","deprecated":null,"version":null,"openapi":"api-reference/statsig_openapi.json patch /console/v1/users/teams/{id}","href":"/api-reference/users/update-team-ops:-replace-use-get-for-current-data-if-you-intent-to-add"}]}]}]},"basePath":"","title":"HTTP API - Statsig","buildId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","deploymentId":"dpl_GRSyrvXT6FFTpZZTGz5iZPp3D2zE","dynamics":[],"chunks":[]}